#!/bin/bash

# Beispiel für Rekursive Funktion

#Funktions-Definition
function sum() {
    if [ -z "$2" ]; then

        #Rückgabewert
        echo $1

    else
        a=$1;
        
        #Parameter werden nach links verschoben : orkus  <- $1 , $1 <- $2 
        shift;
        
        #Funktion ruft sich selbst auf - Rekursion
        #Ergebnis. b == 2
        b=`sum $@`


        echo `expr $a + $b` # <- 1 + 2 
    fi
}

# Funktions-Aufruf mit 2 Parametern
sum 1 2
